# Visualization
TKV3d
AIS

# AIS_EllipseRadiusDimension Class Reference

Computes geometry ( basis curve and plane of dimension)
for input shape aShape from TopoDS
Root class for MinRadiusDimension and MaxRadiusDimension
.

`#include <AIS_EllipseRadiusDimension.hxx>`

Inheritance diagram for AIS_EllipseRadiusDimension:

[legend]

## Public Member Functions

virtual Standard_EXPORT AIS_KindOfDimension | KindOfDimension () const
| Indicates that the type of dimension is unknown. .
virtual Standard_EXPORT Standard_Boolean | IsMovable () const
| Returns true if the interactive object is movable. .
Standard_EXPORT void | ComputeGeometry ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | AIS_EllipseRadiusDimension (const TopoDS_Shape &aShape, const TCollection_ExtendedString &aText)

## Protected Attributes

gp_Elips | myEllipse
Standard_Real | myFirstPar
Standard_Real | myLastPar
Standard_Boolean | myIsAnArc
Handle_Geom_OffsetCurve | myOffsetCurve
Standard_Real | myOffset
Standard_Boolean | myIsOffset

## Private Member Functions

Standard_EXPORT void | ComputeFaceGeometry ()
Standard_EXPORT void | ComputeCylFaceGeometry (const AIS_KindOfSurface aSurfType, const Handle(Geom_Surface)&aSurf, const Standard_Real Offset)
Standard_EXPORT void | ComputePlanarFaceGeometry ()
Standard_EXPORT void | ComputeEdgeGeometry ()

## Constructor & Destructor Documentation

Standard_EXPORT AIS_EllipseRadiusDimension::AIS_EllipseRadiusDimension | ( | const TopoDS_Shape & | aShape,
|  | const TCollection_ExtendedString & | aText
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void AIS_EllipseRadiusDimension::ComputeCylFaceGeometry | ( | const AIS_KindOfSurface | aSurfType,
|  | const Handle(Geom_Surface)& | aSurf,
|  | const Standard_Real | Offset
| ) | `[private]`

Standard_EXPORT void AIS_EllipseRadiusDimension::ComputeEdgeGeometry | ( |  | ) | `[private]`

Standard_EXPORT void AIS_EllipseRadiusDimension::ComputeFaceGeometry | ( |  | ) | `[private]`

Standard_EXPORT void AIS_EllipseRadiusDimension::ComputeGeometry | ( |  | ) |

Standard_EXPORT void AIS_EllipseRadiusDimension::ComputePlanarFaceGeometry | ( |  | ) | `[private]`

Standard_EXPORT const AIS_EllipseRadiusDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AIS_Relation. Reimplemented in AIS_MaxRadiusDimension, and AIS_MinRadiusDimension.

virtual Standard_EXPORT Standard_Boolean AIS_EllipseRadiusDimension::IsMovable | ( |  | ) | const`[virtual]`

| Reimplemented from AIS_Relation.

virtual Standard_EXPORT AIS_KindOfDimension AIS_EllipseRadiusDimension::KindOfDimension | ( |  | ) | const`[virtual]`

| Reimplemented from AIS_Relation.

## Field Documentation

gp_Elips AIS_EllipseRadiusDimension::myEllipse `[protected]`

Standard_Real AIS_EllipseRadiusDimension::myFirstPar `[protected]`

Standard_Boolean AIS_EllipseRadiusDimension::myIsAnArc `[protected]`

Standard_Boolean AIS_EllipseRadiusDimension::myIsOffset `[protected]`

Standard_Real AIS_EllipseRadiusDimension::myLastPar `[protected]`

Standard_Real AIS_EllipseRadiusDimension::myOffset `[protected]`

Handle_Geom_OffsetCurve AIS_EllipseRadiusDimension::myOffsetCurve `[protected]`

The documentation for this class was generated from the following file:

- AIS_EllipseRadiusDimension.hxx